| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
libdar::compile_time Namespace Reference
API

nested namespace inside libdar More...

## Enumerations
enum | endian { big = 'B', little = 'L', error = 'E' }
| type used to return the endian nature of the current system

## Functions
bool | ea ()
| returns whether EA support has been activated at compilation time
bool | largefile ()
| returns whether largefile (>2GiB) support has been activated at compilation time
bool | nodump ()
| returns whether nodump flag support has been activated at compilation time
bool | special_alloc ()
U_I | bits ()
| returns the internal integer type used More...
bool | thread_safe ()
| returns whether the current libdar is thread safe
bool | libz ()
| returns whether libdar is dependent on libz and if so has gzip compression/decompression available
bool | libbz2 ()
| returns whether libdar is dependent on libbz2 and if so has bzip2 compression/decompression available
bool | liblzo ()
| returns whether libdar is dependent on liblzo and if so has lzo compression/decompression available
bool | libxz ()
| returns whether libdar is dependent on liblxz/liblzma and if so has xz compression/decompression available
bool | libgcrypt ()
| returns whether libdar is dependent on libgcrypt and if so has strong encryption and hashing features available
bool | furtive_read ()
| returns whether libdar can support furtive read mode when run by privileged user
endian | system_endian ()
| returns the detected integer endian of the system
bool | posix_fadvise ()
| returns true if libdar has support for posix_fadvise activated available
bool | fast_dir ()
| returns whether libdar has been built with speed optimization for last directory
bool | FSA_linux_extX ()
| returns whether libdar has been built with support for linux ext2/3/4 FSA
bool | FSA_birthtime ()
| returns whether libdar has been built with support for HFS+ FSA
bool | microsecond_read ()
| returns whether libdar is able to read timestamps at a microsecond accuracy
bool | microsecond_write ()
| returns whether libdar is able to write timestamps at a microsecond accuracy
bool | symlink_restore_dates ()
| returns whether libdar is able to restore dates of symlinks
bool | public_key_cipher ()
| returns whether public key cipher (relying on gpgme) are available
bool | libthreadar ()
| returns whether libthreadar linking will be done, allowing libdar to span several threads

## Detailed Description

nested namespace inside libdar

it contains one routine per feature that can be activated or disabled at compile time this is to replace the "libdar::get_compile_time_feature" function that cannot be updates without breaking backward compatibility

## Function Documentation

U_I libdar::compile_time::bits | ( |  | ) |

returns the internal integer type used

Note
  zero is returned if infinint type is used

bool libdar::compile_time::special_alloc | ( |  | ) |

returns whether special allocation support has been activated at compilation time

special allocation support brings from a tiny to an important improvement in execution time, depending on the number of small files involved in the operation